diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/PrivateKeyUsagePeriodExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/PrivateKeyUsagePeriodExt.java
index eaf19bb339547c70bfa4e6f78f505b97b81771ab..52c8f1f6965aff1da79ce585aace1b2b5c9d97a1 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/PrivateKeyUsagePeriodExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/PrivateKeyUsagePeriodExt.java
@@ -78,13 +78,13 @@ public class PrivateKeyUsagePeriodExt extends APolicyRule
     protected String mNotAfter;
     protected boolean mCritical;
 
-    private static Vector defaultParams;
+    private static Vector<String> defaultParams;
 
     static {
 
         formatter.setLenient(false);
 
-        defaultParams = new Vector();
+        defaultParams = new Vector<String>();
         defaultParams.addElement(PROP_IS_CRITICAL + "=" + DEFAULT_CRITICALITY);
         defaultParams.addElement(PROP_NOT_BEFORE + "=" + DEFAULT_NOT_BEFORE);
         defaultParams.addElement(PROP_NOT_AFTER + "=" + DEFAULT_NOT_AFTER);
@@ -230,8 +230,8 @@ public class PrivateKeyUsagePeriodExt extends APolicyRule
      * @return Empty Vector since this policy has no configuration parameters.
      *         for this policy instance.
      */
-    public Vector getInstanceParams() {
-        Vector params = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> params = new Vector<String>();
 
         params.addElement(PROP_IS_CRITICAL + "=" + mCritical);
         params.addElement(PROP_NOT_BEFORE + "=" + mNotBefore);
@@ -245,8 +245,8 @@ public class PrivateKeyUsagePeriodExt extends APolicyRule
      * @return Empty Vector since this policy implementation has no
      *         configuration parameters.
      */
-    public Vector getDefaultParams() {
-        Vector defParams = new Vector();
+    public Vector<String> getDefaultParams() {
+        Vector<String> defParams = new Vector<String>();
 
         defParams.addElement(PROP_IS_CRITICAL + "=" + DEFAULT_CRITICALITY);
         defParams.addElement(PROP_NOT_BEFORE + "=" + DEFAULT_NOT_BEFORE);
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/RemoveBasicConstraintsExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/RemoveBasicConstraintsExt.java
index 197d1585e1e8bd25e783a52923c50b51ed8d003c..0af977a2430cda8e72d8bbfeabb85b86b94131b0 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/RemoveBasicConstraintsExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/RemoveBasicConstraintsExt.java
@@ -113,8 +113,8 @@ public class RemoveBasicConstraintsExt extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
-        Vector params = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> params = new Vector<String>();
 
         return params;
     }
@@ -124,8 +124,8 @@ public class RemoveBasicConstraintsExt extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
-        Vector defParams = new Vector();
+    public Vector<String> getDefaultParams() {
+        Vector<String> defParams = new Vector<String>();
 
         return defParams;
     }
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjAltNameExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjAltNameExt.java
index 8152db07b3a6bb06d19e17072bdce477565c8892..63bd8804cd27a10e1e3ce6f1641da1893307cef2 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjAltNameExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjAltNameExt.java
@@ -107,7 +107,7 @@ public class SubjAltNameExt extends APolicyRule
                         "the 'mail' or 'mailalternateaddress' values in the authToken. " +
                         "See the 'ldapStringAttrs' parameter in the Directory-based " +
                         "authentication plugin"
-            };
+        };
 
         return params;
 
@@ -208,7 +208,7 @@ public class SubjAltNameExt extends APolicyRule
             if (tok == null)
                 break apply;
 
-            Vector emails = getEmailList(tok);
+            Vector<String> emails = getEmailList(tok);
 
             if (emails == null)
                 break apply;
@@ -251,10 +251,10 @@ public class SubjAltNameExt extends APolicyRule
      * Generate a String Vector containing all the email addresses
      * found in this Authentication token
      */
-    protected Vector /* of String */
-    getEmailList(IAuthToken tok) {
+    protected Vector /* of String */<String>
+            getEmailList(IAuthToken tok) {
 
-        Vector v = new Vector();
+        Vector<String> v = new Vector<String>();
 
         addValues(tok, "mail", v);
         addValues(tok, "mailalternateaddress", v);
@@ -269,7 +269,7 @@ public class SubjAltNameExt extends APolicyRule
      * Add attribute values from an LDAP attribute to a vector
      */
     protected void
-            addValues(IAuthToken tok, String attrName, Vector v) {
+            addValues(IAuthToken tok, String attrName, Vector<String> v) {
         String attr[] = tok.getInStringArray(attrName);
 
         if (attr == null)
@@ -284,13 +284,13 @@ public class SubjAltNameExt extends APolicyRule
      * Make a Subject name extension given a list of email addresses
      */
     protected SubjectAlternativeNameExtension
-            mkExt(Vector emails)
+            mkExt(Vector<String> emails)
                     throws IOException {
         SubjectAlternativeNameExtension sa;
         GeneralNames gns = new GeneralNames();
 
         for (int i = 0; i < emails.size(); i++) {
-            String email = (String) emails.elementAt(i);
+            String email = emails.elementAt(i);
 
             gns.addElement(new RFC822Name(email));
         }
@@ -326,8 +326,8 @@ public class SubjAltNameExt extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
-        Vector params = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> params = new Vector<String>();
 
         //params.addElement("PROP_AGENT_OVERR = " + mAllowAgentOverride);
         //params.addElement("PROP_EE_OVERR = " + mAllowEEOverride);
@@ -342,8 +342,8 @@ public class SubjAltNameExt extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
-        Vector defParams = new Vector();
+    public Vector<String> getDefaultParams() {
+        Vector<String> defParams = new Vector<String>();
 
         //defParams.addElement("PROP_AGENT_OVERR = " + DEF_AGENT_OVERR);
         //defParams.addElement("PROP_EE_OVERR = " + DEF_EE_OVERR);
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectAltNameExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectAltNameExt.java
index 9a54a7aad7f2451c688ad7f790f650b71c904c99..62f0b21da3186a6d845bb396065a6c296bdf1afe 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectAltNameExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectAltNameExt.java
@@ -80,10 +80,10 @@ public class SubjectAltNameExt extends APolicyRule
     protected int mNumGNs = 0;
     protected ISubjAltNameConfig[] mGNs = null;
 
-    Vector mInstanceParams = new Vector();
+    Vector<String> mInstanceParams = new Vector<String>();
 
     // init default params and extended plugin info.
-    private static Vector mDefParams = new Vector();
+    private static Vector<String> mDefParams = new Vector<String>();
     static {
         // default params.
         mDefParams.addElement(PROP_CRITICAL + "=" + DEF_CRITICAL);
@@ -211,12 +211,12 @@ public class SubjectAltNameExt extends APolicyRule
                 if (value == null) {
                     continue;
                 }
-                Vector gn = mGNs[i].formGeneralNames(value);
+                Vector<GeneralName> gn = mGNs[i].formGeneralNames(value);
 
                 if (gn.size() == 0)
                     continue;
-                for (Enumeration n = gn.elements(); n.hasMoreElements();) {
-                    gns.addElement((GeneralName) n.nextElement());
+                for (Enumeration<GeneralName> n = gn.elements(); n.hasMoreElements();) {
+                    gns.addElement(n.nextElement());
                 }
             }
 
@@ -288,7 +288,7 @@ public class SubjectAltNameExt extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
+    public Vector<String> getInstanceParams() {
         return mInstanceParams;
     }
 
@@ -297,14 +297,14 @@ public class SubjectAltNameExt extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
+    public Vector<String> getDefaultParams() {
         return mDefParams;
     }
 
     public String[] getExtendedPluginInfo(Locale locale) {
 
         // extended plugin info.
-        Vector info = new Vector();
+        Vector<String> info = new Vector<String>();
 
         info.addElement(PROP_CRITICAL
                 + ";boolean;RFC2459 recommendation: If the certificate subject field contains an empty sequence, the extension MUST be marked critical.");
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java
index f7e18e8ca8c6296101d024dffed0de0a8f258c24..6c1c6a4e819bb8c1b171daca805b66185747c746 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java
@@ -73,9 +73,9 @@ public class SubjectDirectoryAttributesExt extends APolicyRule
     protected IConfigStore mConfig;
     protected SubjectDirAttributesExtension mExt = null;
 
-    protected Vector mParams = new Vector();
+    protected Vector<String> mParams = new Vector<String>();
     private String[] mEPI = null; // extended plugin info
-    protected static Vector mDefParams = new Vector();
+    protected static Vector<String> mDefParams = new Vector<String>();
 
     static {
         setDefaultParams();
@@ -190,11 +190,11 @@ public class SubjectDirectoryAttributesExt extends APolicyRule
         }
     }
 
-    public Vector getInstanceParams() {
+    public Vector<String> getInstanceParams() {
         return mParams; // inited in init()
     }
 
-    public Vector getDefaultParams() {
+    public Vector<String> getDefaultParams() {
         return mDefParams;
     }
 
@@ -223,7 +223,7 @@ public class SubjectDirectoryAttributesExt extends APolicyRule
     }
 
     private void setExtendedPluginInfo() {
-        Vector v = new Vector();
+        Vector<String> v = new Vector<String>();
 
         v.addElement(PROP_CRITICAL + ";boolean;" +
                 "RFC 2459 recommendation: MUST be non-critical.");
@@ -245,7 +245,7 @@ public class SubjectDirectoryAttributesExt extends APolicyRule
 
     private SubjectDirAttributesExtension formExt(IRequest req)
             throws IOException {
-        Vector attrs = new Vector();
+        Vector<Attribute> attrs = new Vector<Attribute>();
 
         // if we're called from init and one attribute is from request attribute
         // the ext can't be formed yet.
@@ -369,7 +369,7 @@ class AttributeConfig {
         }
     }
 
-    public static void getDefaultParams(String name, Vector v) {
+    public static void getDefaultParams(String name, Vector<String> v) {
         String nameDot = name + ".";
 
         v.addElement(nameDot + PROP_ATTRIBUTE_NAME + "=");
@@ -377,7 +377,7 @@ class AttributeConfig {
         v.addElement(nameDot + PROP_VALUE + "=");
     }
 
-    public static void getExtendedPluginInfo(String name, Vector v) {
+    public static void getExtendedPluginInfo(String name, Vector<String> v) {
         String nameDot = name + ".";
         String attrChoices = getAllNames();
 
@@ -387,7 +387,7 @@ class AttributeConfig {
         v.addElement(nameDot + VALUE_INFO);
     }
 
-    public void getInstanceParams(Vector v) {
+    public void getInstanceParams(Vector<String> v) {
         String nameDot = mName + ".";
 
         v.addElement(nameDot + PROP_ATTRIBUTE_NAME + "=" + mAttributeName);
@@ -407,9 +407,9 @@ class AttributeConfig {
     }
 
     static private String getAllNames() {
-        Enumeration n = X500NameAttrMap.getDefault().getAllNames();
+        Enumeration<String> n = X500NameAttrMap.getDefault().getAllNames();
         StringBuffer sb = new StringBuffer();
-        sb.append((String) n.nextElement());
+        sb.append(n.nextElement());
 
         while (n.hasMoreElements()) {
             sb.append(",");
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectKeyIdentifierExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectKeyIdentifierExt.java
index 73649dd6192c8822dbaa64a95d7a1ae94b321d23..32d254c40dca8443f7ac798eeaf7f98de378ba60 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectKeyIdentifierExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectKeyIdentifierExt.java
@@ -80,9 +80,9 @@ public class SubjectKeyIdentifierExt extends APolicyRule
     protected String mKeyIdType = DEF_KEYID_TYPE;;
     protected String mReqAttrName = DEF_REQATTR_NAME;
 
-    protected Vector mInstanceParams = new Vector();
+    protected Vector<String> mInstanceParams = new Vector<String>();
 
-    protected static Vector mDefaultParams = new Vector();
+    protected static Vector<String> mDefaultParams = new Vector<String>();
     static {
         // form static default params.
         mDefaultParams.addElement(PROP_CRITICAL + "=" + DEF_CRITICAL);
@@ -342,7 +342,7 @@ public class SubjectKeyIdentifierExt extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
+    public Vector<String> getInstanceParams() {
         return mInstanceParams;
     }
 
@@ -351,7 +351,7 @@ public class SubjectKeyIdentifierExt extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
+    public Vector<String> getDefaultParams() {
         return mDefaultParams;
     }
 
diff --git a/pki/base/common/src/com/netscape/cms/profile/common/BasicProfile.java b/pki/base/common/src/com/netscape/cms/profile/common/BasicProfile.java
index 7a1a31a3de583c2917967cb51765ee42dc375a50..9416171215a960d4bee9413d47c11c8967344a69 100644
--- a/pki/base/common/src/com/netscape/cms/profile/common/BasicProfile.java
+++ b/pki/base/common/src/com/netscape/cms/profile/common/BasicProfile.java
@@ -883,16 +883,16 @@ public abstract class BasicProfile implements IProfile {
                     matches++;
                     if (createConfig) {
                         if (matches == 1) {
-                            CMS.debug("WARNING attempt to add duplicate Policy " + defaultClassId + ":"
-                                    + constraintClassId +
+                            CMS.debug("WARNING attempt to add duplicate Policy "
+                                    + defaultClassId + ":" + constraintClassId +
                                     " Contact System Administrator.");
-                            throw new EProfileException("Attempt to add duplicate Policy : " + defaultClassId + ":"
-                                    + constraintClassId);
+                            throw new EProfileException("Attempt to add duplicate Policy : "
+                                    + defaultClassId + ":" + constraintClassId);
                         }
                     } else {
                         if (matches > 1) {
-                            CMS.debug("WARNING attempt to add duplicate Policy " + defaultClassId + ":"
-                                    + constraintClassId +
+                            CMS.debug("WARNING attempt to add duplicate Policy "
+                                    + defaultClassId + ":" + constraintClassId +
                                     " Contact System Administrator.");
                         }
                     }
diff --git a/pki/base/common/src/com/netscape/cms/profile/common/EnrollProfile.java b/pki/base/common/src/com/netscape/cms/profile/common/EnrollProfile.java
index 9b8d09e0fa9aa2fe819c612fd0f469c109b126bc..f2e921a53bc162e342dc03fd95bc7650f0899f73 100644
--- a/pki/base/common/src/com/netscape/cms/profile/common/EnrollProfile.java
+++ b/pki/base/common/src/com/netscape/cms/profile/common/EnrollProfile.java
@@ -729,15 +729,16 @@ public abstract class EnrollProfile extends BasicProfile
                 INTEGER num = (INTEGER) (bodyIds.elementAt(i));
                 if (num.toString().equals(reqId.toString())) {
                     donePOP = true;
-                    CMS.debug("EnrollProfile: skip POP for request: " + reqId.toString()
-                            + " because LRA POP Witness control is found.");
+                    CMS.debug("EnrollProfile: skip POP for request: "
+                            + reqId.toString() + " because LRA POP Witness control is found.");
                     break;
                 }
             }
         }
 
         if (!donePOP) {
-            CMS.debug("EnrollProfile: not skip POP for request: " + reqId.toString()
+            CMS.debug("EnrollProfile: not skip POP for request: "
+                    + reqId.toString()
                     + " because this request id is not part of the body list in LRA Pop witness control.");
             verifyPOP(locale, crm);
         }
diff --git a/pki/base/common/src/com/netscape/cms/profile/constraint/EnrollConstraint.java b/pki/base/common/src/com/netscape/cms/profile/constraint/EnrollConstraint.java
index b16a7d94b0efe550db674d10fe2100f3b5d17c5f..40c2153a8d546f080e9b25a3e6aaf7a748b7d50d 100644
--- a/pki/base/common/src/com/netscape/cms/profile/constraint/EnrollConstraint.java
+++ b/pki/base/common/src/com/netscape/cms/profile/constraint/EnrollConstraint.java
@@ -47,12 +47,12 @@ public abstract class EnrollConstraint implements IPolicyConstraint {
     public static final String CONFIG_NAME = "name";
 
     protected IConfigStore mConfig = null;
-    protected Vector mConfigNames = new Vector();
+    protected Vector<String> mConfigNames = new Vector<String>();
 
     public EnrollConstraint() {
     }
 
-    public Enumeration getConfigNames() {
+    public Enumeration<String> getConfigNames() {
         return mConfigNames.elements();
     }
 
@@ -173,10 +173,10 @@ public abstract class EnrollConstraint implements IPolicyConstraint {
         }
         if (exts == null)
             return null;
-        Enumeration e = exts.getElements();
+        Enumeration<Extension> e = exts.getAttributes();
 
         while (e.hasMoreElements()) {
-            Extension ext = (Extension) e.nextElement();
+            Extension ext = e.nextElement();
 
             if (ext.getExtensionId().toString().equals(name)) {
                 return ext;
diff --git a/pki/base/common/src/com/netscape/cms/profile/constraint/KeyConstraint.java b/pki/base/common/src/com/netscape/cms/profile/constraint/KeyConstraint.java
index 8bc16544cc26a260963732d47fdfe18827bb73aa..558338e7fcdadf9c9388073e3cf0513bc484684e 100644
--- a/pki/base/common/src/com/netscape/cms/profile/constraint/KeyConstraint.java
+++ b/pki/base/common/src/com/netscape/cms/profile/constraint/KeyConstraint.java
@@ -55,8 +55,8 @@ public class KeyConstraint extends EnrollConstraint {
     public static final String CONFIG_KEY_TYPE = "keyType"; // (EC, RSA)
     public static final String CONFIG_KEY_PARAMETERS = "keyParameters";
 
-    private static final String[] ecCurves = { "nistp256", "nistp384", "nistp521", "sect163k1", "nistk163",
-            "sect163r1", "sect163r2",
+    private static final String[] ecCurves = {
+            "nistp256", "nistp384", "nistp521", "sect163k1", "nistk163", "sect163r1", "sect163r2",
             "nistb163", "sect193r1", "sect193r2", "sect233k1", "nistk233", "sect233r1", "nistb233", "sect239k1",
             "sect283k1", "nistk283",
             "sect283r1", "nistb283", "sect409k1", "nistk409", "sect409r1", "nistb409", "sect571k1", "nistk571",
diff --git a/pki/base/common/src/com/netscape/cms/profile/constraint/RenewGracePeriodConstraint.java b/pki/base/common/src/com/netscape/cms/profile/constraint/RenewGracePeriodConstraint.java
index 8f78945f610d0c2026dfac86f8024bdfc3cac624..fb01d7d1410b3b74a933b3f4c925b21e8f893bcc 100644
--- a/pki/base/common/src/com/netscape/cms/profile/constraint/RenewGracePeriodConstraint.java
+++ b/pki/base/common/src/com/netscape/cms/profile/constraint/RenewGracePeriodConstraint.java
@@ -122,8 +122,8 @@ public class RenewGracePeriodConstraint extends EnrollConstraint {
 
         Date current = CMS.getCurrentDate();
         long millisDiff = origExpDate.getTime() - current.getTime();
-        CMS.debug("validateRenewGracePeriod: millisDiff=" + millisDiff + " origExpDate=" + origExpDate.getTime()
-                + " current=" + current.getTime());
+        CMS.debug("validateRenewGracePeriod: millisDiff="
+                + millisDiff + " origExpDate=" + origExpDate.getTime() + " current=" + current.getTime());
 
         /*
          * "days", if positive, has to be less than renew_grace_before
diff --git a/pki/base/common/src/com/netscape/cms/profile/constraint/UniqueSubjectNameConstraint.java b/pki/base/common/src/com/netscape/cms/profile/constraint/UniqueSubjectNameConstraint.java
index 211aef9137bbd242c52bd28b695b8fe36ead6bec..7a985b631f2142d76f715cc2ed391853cbb3f914 100644
--- a/pki/base/common/src/com/netscape/cms/profile/constraint/UniqueSubjectNameConstraint.java
+++ b/pki/base/common/src/com/netscape/cms/profile/constraint/UniqueSubjectNameConstraint.java
@@ -179,14 +179,14 @@ public class UniqueSubjectNameConstraint extends EnrollConstraint {
         else {
             certsubjectname = sn.toString();
             String filter = "x509Cert.subject=" + certsubjectname;
-            Enumeration sameSubjRecords = null;
+            Enumeration<ICertRecord> sameSubjRecords = null;
             try {
                 sameSubjRecords = certdb.findCertRecords(filter);
             } catch (EBaseException e) {
                 CMS.debug("UniqueSubjectNameConstraint exception: " + e.toString());
             }
             while (sameSubjRecords != null && sameSubjRecords.hasMoreElements()) {
-                ICertRecord rec = (ICertRecord) sameSubjRecords.nextElement();
+                ICertRecord rec = sameSubjRecords.nextElement();
                 String status = rec.getStatus();
 
                 IRevocationInfo revocationInfo = rec.getRevocationInfo();
@@ -196,10 +196,10 @@ public class UniqueSubjectNameConstraint extends EnrollConstraint {
                     CRLExtensions crlExts = revocationInfo.getCRLEntryExtensions();
 
                     if (crlExts != null) {
-                        Enumeration enumx = crlExts.getElements();
+                        Enumeration<Extension> enumx = crlExts.getElements();
 
                         while (enumx.hasMoreElements()) {
-                            Extension ext = (Extension) enumx.nextElement();
+                            Extension ext = enumx.nextElement();
 
                             if (ext instanceof CRLReasonExtension) {
                                 reason = ((CRLReasonExtension) ext).getReason();
diff --git a/pki/base/common/src/com/netscape/cms/profile/constraint/ValidityConstraint.java b/pki/base/common/src/com/netscape/cms/profile/constraint/ValidityConstraint.java
index abfef548dc35b63f4125446bb1b8b520ff88d64d..98a7b4f96390133158798bc795042f9b9e7f9a7a 100644
--- a/pki/base/common/src/com/netscape/cms/profile/constraint/ValidityConstraint.java
+++ b/pki/base/common/src/com/netscape/cms/profile/constraint/ValidityConstraint.java
@@ -141,8 +141,8 @@ public class ValidityConstraint extends EnrollConstraint {
         }
 
         long millisDiff = notAfter.getTime() - notBefore.getTime();
-        CMS.debug("ValidityConstraint: millisDiff=" + millisDiff + " notAfter=" + notAfter.getTime() + " notBefore="
-                + notBefore.getTime());
+        CMS.debug("ValidityConstraint: millisDiff="
+                + millisDiff + " notAfter=" + notAfter.getTime() + " notBefore=" + notBefore.getTime());
         long long_days = (millisDiff / 1000) / 86400;
         CMS.debug("ValidityConstraint: long_days: " + long_days);
         int days = (int) long_days;
diff --git a/pki/base/common/src/com/netscape/cms/profile/def/CRLDistributionPointsExtDefault.java b/pki/base/common/src/com/netscape/cms/profile/def/CRLDistributionPointsExtDefault.java
index 92592d1372db65ce8d8b3bc6b2c7142570078b3a..a95ec6b7d08cf4d21244dfc8e0cd793081ab8fa7 100644
--- a/pki/base/common/src/com/netscape/cms/profile/def/CRLDistributionPointsExtDefault.java
+++ b/pki/base/common/src/com/netscape/cms/profile/def/CRLDistributionPointsExtDefault.java
@@ -107,7 +107,7 @@ public class CRLDistributionPointsExtDefault extends EnrollExtDefault {
         super.setConfig(name, value);
     }
 
-    public Enumeration getConfigNames() {
+    public Enumeration<String> getConfigNames() {
         refreshConfigAndValueNames();
         return super.getConfigNames();
     }
@@ -240,7 +240,7 @@ public class CRLDistributionPointsExtDefault extends EnrollExtDefault {
                 if (ext == null) {
                     return;
                 }
-                Vector v = parseRecords(value);
+                Vector<NameValuePairs> v = parseRecords(value);
                 int size = v.size();
 
                 boolean critical = ext.isCritical();
@@ -248,7 +248,7 @@ public class CRLDistributionPointsExtDefault extends EnrollExtDefault {
 
                 for (; i < size; i++) {
                     NameValuePairs nvps = (NameValuePairs) v.elementAt(i);
-                    Enumeration names = nvps.getNames();
+                    Enumeration<String> names = nvps.getNames();
                     String pointType = null;
                     String pointValue = null;
                     String issuerType = null;
@@ -438,7 +438,7 @@ public class CRLDistributionPointsExtDefault extends EnrollExtDefault {
 
             StringBuffer sb = new StringBuffer();
 
-            Vector recs = new Vector();
+            Vector<NameValuePairs> recs = new Vector<NameValuePairs>();
             int num = getNumPoints();
 
             for (int i = 0; i < num; i++) {
